# Generated by Django 3.2 on 2021-04-26 11:09

import uuid

import django.contrib.postgres.fields
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Verwerkingsactie",
            fields=[
                (
                    "actieId",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("actieNaam", models.CharField(blank=True, max_length=242, null=True)),
                (
                    "handelingNaam",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                (
                    "verwerkingNaam",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                ("verwerkingId", models.UUIDField(blank=True, null=True)),
                ("verwerkingactiviteitId", models.UUIDField(blank=True, null=True)),
                (
                    "verwerkingactiviteitUrl",
                    models.URLField(blank=True, max_length=2042, null=True),
                ),
                (
                    "vertrouwelijkheid",
                    models.CharField(
                        choices=[
                            ("normaal", "Normaal"),
                            ("vertrouwelijk", "Vertrouwelijk"),
                            ("opgeheven", "Opgeheven"),
                        ],
                        default="normaal",
                        max_length=13,
                    ),
                ),
                ("bewaartermijn", models.DurationField(blank=True, null=True)),
                ("uitvoerder", models.CharField(blank=True, max_length=20, null=True)),
                ("systeem", models.CharField(blank=True, max_length=242, null=True)),
                ("gebruiker", models.CharField(blank=True, max_length=40, null=True)),
                (
                    "gegevensbron",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                (
                    "soortAfnemerId",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                ("afnemerId", models.CharField(blank=True, max_length=40, null=True)),
                (
                    "verwerkingsactiviteitIdAfnemer",
                    models.UUIDField(blank=True, null=True),
                ),
                (
                    "verwerkingsactiviteitUrlAfnemer",
                    models.URLField(blank=True, max_length=2042, null=True),
                ),
                ("verwerkingIdAfnemer", models.UUIDField(blank=True, null=True)),
                ("tijdstip", models.DateTimeField()),
                ("tijdstipRegistratie", models.DateTimeField(auto_now_add=True)),
                ("deletedAt", models.DateTimeField(editable=False, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Object",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "objecttype",
                    models.CharField(choices=[("persoon", "Persoon")], max_length=7),
                ),
                ("soortObjectId", models.CharField(max_length=242)),
                ("objectId", models.CharField(max_length=40)),
                ("betrokkenheid", models.CharField(max_length=242)),
                (
                    "verwerkteSoortenGegevens",
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.CharField(max_length=242), size=None
                    ),
                ),
                (
                    "actieId",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="actionId",
                        to="vlc.verwerkingsactie",
                    ),
                ),
            ],
        ),
    ]
